Bug 1275087 - mcopy fails: mcopy: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt < (sizeof (_nl_value_type_LC_COLLATE) / sizeof (_nl_value_type_LC_COLLATE[0]))' failed.
Summary: mcopy fails: mcopy: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mtools
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2015-10-25 19:13 UTC by Richard W.M. Jones
Modified: 2017-08-08 12:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:19:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard W.M. Jones 2015-10-25 19:13:33 UTC
Description of problem:

If you run the 'syslinux' command in Rawhide, it fails with:

syslinux --install --force /dev/sda1
sh: line 1:   469 Aborted                 mattrib -h -r -s s:/ldlinux.sys 2> /dev/null
mcopy: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt < (sizeof (_nl_value_type_LC_COLLATE) / sizeof (_nl_value_type_LC_COLLATE[0]))' failed.
syslinux: failed to create ldlinux.sys
guestfsd: error: sh: line 1:   469 Aborted                 mattrib -h -r -s s:/ldlinux.sys 2> /dev/null
mcopy: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt < (sizeof (_nl_value_type_LC_COLLATE) / sizeof (_nl_value_type_LC_COLLATE[0]))' failed.
syslinux: failed to create ldlinux.sys
libguestfs: trace: syslinux = -1 (error)
syslinux: sh: line 1:   469 Aborted                 mattrib -h -r -s s:/ldlinux.sys 2> /dev/null
mcopy: loadlocale.c:130: _nl_intern_locale_data: Assertion `cnt < (sizeof (_nl_value_type_LC_COLLATE) / sizeof (_nl_value_type_LC_COLLATE[0]))' failed.
syslinux: failed to create ldlinux.sys at ./test-syslinux.pl line 108, <MBR> line 1.

Version-Release number of selected component (if applicable):

mtools-4.0.18-9.fc23.x86_64
syslinux-6.03-6.fc24.x86_64

How reproducible:

100%

Steps to Reproduce:
1. See command above.

Comment 1 Ondrej Oprala 2015-10-26 07:02:08 UTC
Hey Richard, thanks for this report.
Could you tell me more about your partition config?
Thanks

Comment 2 Richard W.M. Jones 2015-10-26 10:13:09 UTC
The test is here:

https://github.com/libguestfs/libguestfs/blob/master/tests/syslinux/test-syslinux.pl

It looks like the partition config is a single MBR partition covering
the whole disk.  /dev/sda1 is (in this test) a FAT formatted filesystem.

This worked fine until about a week ago, so it's something that has
been changed very recently in Rawhide.

And in any case, it looks like some kind of i18n problem, and nothing
to do with partitions or filesystems.

Comment 4 Jan Kurik 2016-02-24 13:52:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Fedora End Of Life 2017-07-25 19:23:29 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 12:19:22 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.